SOURCES: gnu-radius.init - added try-restart, fixed force-reload

qboosh qboosh at pld-linux.org
Thu Dec 25 10:03:39 CET 2008


Author: qboosh                       Date: Thu Dec 25 09:03:39 2008 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- added try-restart, fixed force-reload

---- Files affected:
SOURCES:
   gnu-radius.init (1.5 -> 1.6) 

---- Diffs:

================================================================
Index: SOURCES/gnu-radius.init
diff -u SOURCES/gnu-radius.init:1.5 SOURCES/gnu-radius.init:1.6
--- SOURCES/gnu-radius.init:1.5	Thu Jun 28 18:44:17 2007
+++ SOURCES/gnu-radius.init	Thu Dec 25 10:03:33 2008
@@ -50,6 +50,16 @@
 	fi
 }
 
+condrestart() {
+	if [ -f /var/lock/subsys/radius ]; then
+		stop
+		start
+	else
+		msg_not_running "GNU Radius Server"
+		RETVAL=$1
+	fi
+}
+
 RETVAL=0
 case "$1" in
   start)
@@ -58,20 +68,23 @@
   stop)
   	stop
 	;;
-  status)
-	status radiusd
-	exit $?
+  restart)
+	stop
+	start
+	;;
+  try-restart)
+	condrestart 0
 	;;
-	reload)
+  reload|force-reload)
 	msg_reloading "GNU Radius Server"
 	killproc radiusd -HUP
 	;;
-  restart|force-reload)
-	stop
-	start
+  status)
+	status radiusd
+	exit $?
 	;;
   *)
-	msg_usage "$0 {start|stop|restart|reload|force-reload|status}"
+	msg_usage "$0 {start|stop|restart|try-restart|reload|force-reload|status}"
 	exit 3
 esac
 
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/gnu-radius.init?r1=1.5&r2=1.6&f=u



More information about the pld-cvs-commit mailing list